Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.Application

Extends M.Object.
The root class for an application.
Defined in: application.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.Application()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| currentLanguage The application's current language.
| cypher The application's cypher object, used for encoding and decoding.
| defaultLanguage The application's default / fallback language.
| eventDispatcher The application's event dispatcher.
| modelRegistry The application's model registry.
| name The application's name.
| type The type of this object.
| viewManager The application's view manager.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| design(obj) This method encapsulates the 'include' method of M.Object for better reading of code syntax.
| main() The application's main-method, that is called automatically on load of the app.

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.Application()
Field Detail
{String} currentLanguage
The application's current language.

{Object} cypher
The application's cypher object, used for encoding and decoding.

{String} defaultLanguage
The application's default / fallback language.

{Object} eventDispatcher
The application's event dispatcher.

{Object} modelRegistry
The application's model registry.

{String} name
The application's name.

{String} type
The type of this object.

{Object} viewManager
The application's view manager.
Method Detail
design(obj)
This method encapsulates the 'include' method of M.Object for better reading of code syntax. Basically it integrates the defined pages within the application into M.Application and sets some basic configuration properties, e.g. the default language.

Parameters:
{Object} obj
  The mixed in object for the extend call.

main()
The application's main-method, that is called automatically on load of the app. Inside this method the rendering is initiated and all pages are bound to the 'pageshow' event so one can do some action whenever a page is loaded.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:28 GMT+0100 (MEZ)